ARG BUILD_IMAGE=""
FROM $BUILD_IMAGE as builder

ENV DEBIAN_FRONTEND=noninteractive
ENV LD_LIBRARY_PATH=/usr/local/lib/

# Copy installation payloads
COPY . /mnt/ska-pst-smrb
WORKDIR /mnt/ska-pst-smrb

# Install Library and Application with Debug flags
RUN make local-cpp-clean-buildpath \
    && make local-cpp-build-debug \
    && cd build && make install \
    && /usr/local/bin/ska_pst_smrb_info \
    && /usr/local/bin/ska_pst_smrb_writer -h \
    && /usr/local/bin/ska_pst_smrb_reader -h \
    && /usr/local/bin/ska_pst_smrb_core -h

WORKDIR /usr/local/bin
CMD ["/bin/bash"]